View Issue Details

IDProjectCategoryView StatusLast Update
12103Bug reports[All Projects] Response browsingpublic2019-04-30 09:10
ReporterMazi Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.59.x 
Target VersionFixed in Version3.15.x 
Summary12103: Single response overview shows CSS and JS embedded at question text
Description

When viewing a single response the system lists CSS and JS embedded at the question text, see attached screenshot.

This also applies to the main response view listing all response in a tabular overview. There you can see the CSS/JS at the tooltip.

Steps To Reproduce

Add some CSS and JS at the question text using the source code mode of the editor. Here is some sample code:
<script type="text/javascript">
$(document).ready(function(){
$('#answer{self.sgqa}').select2();
})
</script>

<style media="all" type="text/css">#question{QID}
{
overflow: visible !important;
}
#question{QID} .select2-container
{
height: 200px;
}

#question{QID} .select2-container
{
width: 400px !important;
}
</style>

Activate the survey, add a response and view the responses.

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.59.1
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5.5
Server OS (if known)Linux (Ubuntu 14 TLS)
Webserver software & version (if known)Apache 2.0
PHP Version5.5.9

Activities

Mazi

Mazi

2017-02-01 10:56

partner  

response.png (50,543 bytes)
response.png (50,543 bytes)
cdorin

cdorin

2019-02-18 14:49

manager   ~50605

Still an issue in 3.15.9

DenisChenu

DenisChenu

2019-02-19 08:09

developer   ~50612

Inthe screenshot : seems only CSS, not JS ? No ?

DenisChenu

DenisChenu

2019-02-19 08:44

developer   ~50613

Same issue in export etc …
https://github.com/LimeSurvey/LimeSurvey/commit/917014a413824bbbb39fd05de905ce49f340a4d6

Issue History

Date Modified Username Field Change
2017-02-01 10:56 Mazi New Issue
2017-02-01 10:56 Mazi File Added: response.png
2019-02-18 14:49 cdorin Note Added: 50605
2019-02-18 14:49 cdorin Status new => confirmed
2019-02-18 14:50 cdorin Priority none => normal
2019-02-19 08:09 DenisChenu Note Added: 50612
2019-02-19 08:13 DenisChenu Assigned To => DenisChenu
2019-02-19 08:13 DenisChenu Status confirmed => assigned
2019-02-19 08:44 DenisChenu Note Added: 50613
2019-02-19 08:44 DenisChenu Status assigned => resolved
2019-02-19 08:44 DenisChenu Resolution open => fixed
2019-02-19 08:44 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:10 c_schmitz Status resolved => closed